Package org.eclipse.cdt.core.index

# Interface IIndexChangeEvent

public interface IIndexChangeEvent
IndexChangeEvents describe changes to the index.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ICProject`
`getAffectedProject()`
Returns the project for which the index has changed.
`Set<IIndexFileLocation>`
`getFilesCleared()`
Returns the set of files that has been cleared in the index.
`Set<IIndexFileLocation>`
`getFilesWritten()`
Returns the set of files that has been added or updated.
`boolean`
`hasNewFile()`
Returns `true` when a new file had been added to the index.
`boolean`
`isCleared()`
Returns `true` when the index for the project was cleared.
`boolean`
`isReloaded()`
Returns `true` when the index for the project was loaded for the first time or reloaded with a different database.

## Method Details

### getAffectedProject

ICProject getAffectedProject()
Returns the project for which the index has changed.

### isReloaded

boolean isReloaded()
Returns `true` when the index for the project was loaded for the first time or reloaded with a different database.

### isCleared

boolean isCleared()
Returns `true` when the index for the project was cleared.

### getFilesCleared

Set<IIndexFileLocation> getFilesCleared()
Returns the set of files that has been cleared in the index. When `isCleared()` returns `true`, the set will be empty.

### getFilesWritten

Set<IIndexFileLocation> getFilesWritten()
Returns the set of files that has been added or updated. When `isCleared()` returns `true`, the files of the set have been written after the index was cleared.

### hasNewFile

boolean hasNewFile()
Returns `true` when a new file had been added to the index.

Since:
  5.2